Bug 1416125 - [abrt] gnome-terminal: wl_display_interface(): gnome-terminal-server killed by SIGSEGV
Summary: [abrt] gnome-terminal: wl_display_interface(): gnome-terminal-server killed b...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-terminal
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:0b3de805cc62784914cdc4b2ab5...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-24 16:24 UTC by baj_be
Modified: 2017-12-12 10:46 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:46:35 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (22.11 KB, text/plain)
2017-01-24 16:24 UTC, baj_be
no flags Details
File: cgroup (276 bytes, text/plain)
2017-01-24 16:24 UTC, baj_be
no flags Details
File: core_backtrace (10.81 KB, text/plain)
2017-01-24 16:24 UTC, baj_be
no flags Details
File: dso_list (10.70 KB, text/plain)
2017-01-24 16:24 UTC, baj_be
no flags Details
File: environ (1.41 KB, text/plain)
2017-01-24 16:24 UTC, baj_be
no flags Details
File: exploitable (106 bytes, text/plain)
2017-01-24 16:24 UTC, baj_be
no flags Details
File: limits (1.29 KB, text/plain)
2017-01-24 16:24 UTC, baj_be
no flags Details
File: maps (53.95 KB, text/plain)
2017-01-24 16:24 UTC, baj_be
no flags Details
File: mountinfo (4.01 KB, text/plain)
2017-01-24 16:24 UTC, baj_be
no flags Details
File: namespaces (102 bytes, text/plain)
2017-01-24 16:24 UTC, baj_be
no flags Details
File: open_fds (935 bytes, text/plain)
2017-01-24 16:24 UTC, baj_be
no flags Details
File: proc_pid_status (1.13 KB, text/plain)
2017-01-24 16:24 UTC, baj_be
no flags Details
File: var_log_messages (28 bytes, text/plain)
2017-01-24 16:24 UTC, baj_be
no flags Details

Description baj_be 2017-01-24 16:24:19 UTC
Description of problem:
Terminal crashes. Only on Gnome + Wayland

Version-Release number of selected component:
gnome-terminal-3.22.1-2.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 3
cmdline:        /usr/libexec/gnome-terminal-server
crash_function: wl_display_interface
executable:     /usr/libexec/gnome-terminal-server
global_pid:     22580
kernel:         4.9.5-200.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (6 frames)
 #0 wl_display_interface
 #2 after_process_all_updates at gdkwindow.c:4038
 #3 gdk_window_process_all_updates at gdkwindow.c:4105
 #4 update_timeout at vte.cc:10710
 #9 g_main_context_iteration at gmain.c:3990
 #10 g_application_run at gapplication.c:2381

Comment 1 baj_be 2017-01-24 16:24:24 UTC
Created attachment 1243974 [details]
File: backtrace

Comment 2 baj_be 2017-01-24 16:24:25 UTC
Created attachment 1243975 [details]
File: cgroup

Comment 3 baj_be 2017-01-24 16:24:26 UTC
Created attachment 1243976 [details]
File: core_backtrace

Comment 4 baj_be 2017-01-24 16:24:28 UTC
Created attachment 1243977 [details]
File: dso_list

Comment 5 baj_be 2017-01-24 16:24:29 UTC
Created attachment 1243978 [details]
File: environ

Comment 6 baj_be 2017-01-24 16:24:31 UTC
Created attachment 1243979 [details]
File: exploitable

Comment 7 baj_be 2017-01-24 16:24:32 UTC
Created attachment 1243980 [details]
File: limits

Comment 8 baj_be 2017-01-24 16:24:34 UTC
Created attachment 1243981 [details]
File: maps

Comment 9 baj_be 2017-01-24 16:24:35 UTC
Created attachment 1243982 [details]
File: mountinfo

Comment 10 baj_be 2017-01-24 16:24:36 UTC
Created attachment 1243983 [details]
File: namespaces

Comment 11 baj_be 2017-01-24 16:24:38 UTC
Created attachment 1243984 [details]
File: open_fds

Comment 12 baj_be 2017-01-24 16:24:39 UTC
Created attachment 1243985 [details]
File: proc_pid_status

Comment 13 baj_be 2017-01-24 16:24:40 UTC
Created attachment 1243986 [details]
File: var_log_messages

Comment 14 Lilicenco 2017-03-08 13:56:45 UTC
Similar problem has been detected:

When I use open-nautilius-terminal clic on the desktop.

reporter:       libreport-2.8.0
backtrace_rating: 3
cmdline:        /usr/libexec/gnome-terminal-server
crash_function: wl_display_interface
executable:     /usr/libexec/gnome-terminal-server
global_pid:     24259
kernel:         4.9.13-200.fc25.x86_64
package:        gnome-terminal-3.22.1-5.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         gnome-terminal-server killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 15 Fedora End Of Life 2017-11-16 14:43:11 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 16 Fedora End Of Life 2017-12-12 10:46:35 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.